Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getApplianceVpnVpnFirewallRules({
organizationId: "string",
});
export const merakiOrganizationsApplianceVpnVpnFirewallRulesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_appliance_vpn_vpn_firewall_rules(organization_id="string")
pulumi.export("merakiOrganizationsApplianceVpnVpnFirewallRulesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.LookupApplianceVpnVpnFirewallRules(ctx, &organizations.LookupApplianceVpnVpnFirewallRulesArgs{
OrganizationId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsApplianceVpnVpnFirewallRulesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetApplianceVpnVpnFirewallRules.Invoke(new()
{
OrganizationId = "string",
});
return new Dictionary<string, object?>
{
["merakiOrganizationsApplianceVpnVpnFirewallRulesExample"] = example.Apply(getApplianceVpnVpnFirewallRulesResult => getApplianceVpnVpnFirewallRulesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetApplianceVpnVpnFirewallRulesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getApplianceVpnVpnFirewallRules(GetApplianceVpnVpnFirewallRulesArgs.builder()
.organizationId("string")
.build());
ctx.export("merakiOrganizationsApplianceVpnVpnFirewallRulesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getApplianceVpnVpnFirewallRules
arguments:
organizationId: string
outputs:
merakiOrganizationsApplianceVpnVpnFirewallRulesExample: ${example.item}
Using getApplianceVpnVpnFirewallRules
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getApplianceVpnVpnFirewallRules(args: GetApplianceVpnVpnFirewallRulesArgs, opts?: InvokeOptions): Promise<GetApplianceVpnVpnFirewallRulesResult>
function getApplianceVpnVpnFirewallRulesOutput(args: GetApplianceVpnVpnFirewallRulesOutputArgs, opts?: InvokeOptions): Output<GetApplianceVpnVpnFirewallRulesResult>def get_appliance_vpn_vpn_firewall_rules(organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetApplianceVpnVpnFirewallRulesResult
def get_appliance_vpn_vpn_firewall_rules_output(organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetApplianceVpnVpnFirewallRulesResult]func LookupApplianceVpnVpnFirewallRules(ctx *Context, args *LookupApplianceVpnVpnFirewallRulesArgs, opts ...InvokeOption) (*LookupApplianceVpnVpnFirewallRulesResult, error)
func LookupApplianceVpnVpnFirewallRulesOutput(ctx *Context, args *LookupApplianceVpnVpnFirewallRulesOutputArgs, opts ...InvokeOption) LookupApplianceVpnVpnFirewallRulesResultOutput> Note: This function is named LookupApplianceVpnVpnFirewallRules in the Go SDK.
public static class GetApplianceVpnVpnFirewallRules
{
public static Task<GetApplianceVpnVpnFirewallRulesResult> InvokeAsync(GetApplianceVpnVpnFirewallRulesArgs args, InvokeOptions? opts = null)
public static Output<GetApplianceVpnVpnFirewallRulesResult> Invoke(GetApplianceVpnVpnFirewallRulesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetApplianceVpnVpnFirewallRulesResult> getApplianceVpnVpnFirewallRules(GetApplianceVpnVpnFirewallRulesArgs args, InvokeOptions options)
public static Output<GetApplianceVpnVpnFirewallRulesResult> getApplianceVpnVpnFirewallRules(GetApplianceVpnVpnFirewallRulesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getApplianceVpnVpnFirewallRules:getApplianceVpnVpnFirewallRules
arguments:
# arguments dictionaryThe following arguments are supported:
- Organization
Id string - organizationId path parameter. Organization ID
- Organization
Id string - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
- organization
Id string - organizationId path parameter. Organization ID
- organization_
id str - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
getApplianceVpnVpnFirewallRules Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Vpn Vpn Firewall Rules Item - Organization
Id string - organizationId path parameter. Organization ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Vpn Vpn Firewall Rules Item - Organization
Id string - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Vpn Vpn Firewall Rules Item - organization
Id String - organizationId path parameter. Organization ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Vpn Vpn Firewall Rules Item - organization
Id string - organizationId path parameter. Organization ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Vpn Vpn Firewall Rules Item - organization_
id str - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- organization
Id String - organizationId path parameter. Organization ID
Supporting Types
GetApplianceVpnVpnFirewallRulesItem
- Rules
List<Get
Appliance Vpn Vpn Firewall Rules Item Rule> - An ordered array of the firewall rules (not including the default rule)
- Rules
[]Get
Appliance Vpn Vpn Firewall Rules Item Rule - An ordered array of the firewall rules (not including the default rule)
- rules
List<Get
Appliance Vpn Vpn Firewall Rules Item Rule> - An ordered array of the firewall rules (not including the default rule)
- rules
Get
Appliance Vpn Vpn Firewall Rules Item Rule[] - An ordered array of the firewall rules (not including the default rule)
- rules
Sequence[Get
Appliance Vpn Vpn Firewall Rules Item Rule] - An ordered array of the firewall rules (not including the default rule)
- rules List<Property Map>
- An ordered array of the firewall rules (not including the default rule)
GetApplianceVpnVpnFirewallRulesItemRule
- Comment string
- Description of the rule (optional)
- Dest
Cidr string - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- Dest
Port string - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- Policy string
- 'allow' or 'deny' traffic specified by this rule
- Protocol string
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- Src
Cidr string - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- Src
Port string - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- Syslog
Enabled bool - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- Comment string
- Description of the rule (optional)
- Dest
Cidr string - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- Dest
Port string - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- Policy string
- 'allow' or 'deny' traffic specified by this rule
- Protocol string
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- Src
Cidr string - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- Src
Port string - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- Syslog
Enabled bool - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- comment String
- Description of the rule (optional)
- dest
Cidr String - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- dest
Port String - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- policy String
- 'allow' or 'deny' traffic specified by this rule
- protocol String
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- src
Cidr String - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- src
Port String - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- syslog
Enabled Boolean - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- comment string
- Description of the rule (optional)
- dest
Cidr string - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- dest
Port string - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- policy string
- 'allow' or 'deny' traffic specified by this rule
- protocol string
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- src
Cidr string - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- src
Port string - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- syslog
Enabled boolean - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- comment str
- Description of the rule (optional)
- dest_
cidr str - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- dest_
port str - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- policy str
- 'allow' or 'deny' traffic specified by this rule
- protocol str
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- src_
cidr str - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- src_
port str - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- syslog_
enabled bool - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- comment String
- Description of the rule (optional)
- dest
Cidr String - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- dest
Port String - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- policy String
- 'allow' or 'deny' traffic specified by this rule
- protocol String
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- src
Cidr String - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- src
Port String - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- syslog
Enabled Boolean - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
